Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
Class FileScanner

`FileScanner` is a bean which allows the iteration over a number of files from a collection of FileSet instances.

author:
  James Strachan

author:
  Marc Guillemot

version:
  $Revision: 10601 $

Field Summary
`List` | `filesets`

Constructor Summary
`FileScanner()` FileSets
`FileScanner(Project project)`

Method Summary
`void` | `addFileset(FileSet set)` Adds a set of files (nested fileset attribute).
`void` | `clear()` Clears any file sets that have been added to this scanner
`Iterator` | `directories()`
`boolean` | `hasFiles()`
`Iterator` | `iterator()`

Constructor Detail

### FileScanner

    public FileScanner()

  FileSets

### FileScanner

    public FileScanner(Project project)

Method Detail

### addFileset

    public void addFileset(FileSet set)

  Adds a set of files (nested fileset attribute).

### clear

    public void clear()

  Clears any file sets that have been added to this scanner

### directories

    public Iterator directories()

### hasFiles

    public boolean hasFiles()

### iterator

    public Iterator iterator()